<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">
<head>
  <title><?php print $head_title ?></title>
  <meta http-equiv="Content-Style-Type" content="text/css" />
	<script type="text/javascript"></script>
	<!-- head:
  <?php print $head ?>
	  --> <!-- the misc/drupal.css file is inserted via head, and it messes up some stuff-->
	<!-- styles: -->
  <?php print $styles ?>
	<style type="text/css" title="currentStyle" media="screen">
		textarea { width:90%; }
		table { width:90%; text-align: left;}
		body { word-wrap: break-word;}
		input.form-text { width:90%; }
	</style>
		<!--
		/*@import "themes/csszg/123/123.css";*/
		-->
</head>
<body id="css-zen-garden" <?php print theme("onload_attribute"); ?>>
<div id="container">
<?php
	# adjust some of the drupal variables
	if ($search_box == 0): $search_box = ""; endif;

	# add the correct divs in the content section
	$node_count = 0;
	# each different section/story in the content has a 
	# NODE_START and NODE_END inserted via node.tpl.php
	if ($content == ""):
		$content = "NODE_START this div intentionally left blank";
	endif;
	while (preg_match("/NODE_START/", $content)) {
		$node_count = $node_count + 1;
		# cycle through the fixed name CSS Zen Garden headings
		if ($node_count == 1):
			$div_type = "explanation";
		elseif ($node_count == 2):
			$div_type = "participation";
		elseif ($node_count == 3):
			$div_type = "benefits";
		elseif ($node_count >= 4):
			$div_type = "requirements";
		endif;
		$content = preg_replace("/<!--\s+NODE_START\s+-->/", "\n<div id='$div_type'>", $content, 1);
		$content = preg_replace("/<!--\s+NODE_END\s+-->/", "</div>", $content, 1);
	}

	# build the primary and secondary links
	$link1_out = "";
	if (count($primary_links)):
		$link1_out .= "<ul>\n";
		foreach ($primary_links as $link):
			$link1_out .= "<li>$link</li>\n";
		endforeach;
		$link1_out .= "</ul>\n";
	endif;
	$link2_out = "";
	if (count($secondary_links)):
		$link2_out .= "<ul>\n";
		foreach ($secondary_links as $link):
			$link2_out .= "<li>$link</li>\n";
		endforeach;
		$link2_out .= "</ul>\n";
	endif;

	# use this array to assign drupal variables to CSS Zen Garden div locations
	$dv = Array();
	# remember: h1, h2 and h3 items may be missing if the css says display:none
	$dv["header_h1"] = "<a href='" . url() . "' title='Index Page'>$site_name</a>";
	$dv["header_h2"] = $site_slogan;
	$dv["summary_p1"] = $mission;
	$dv["summary_p2"] = $search_box . $header; #I don't think $header is ever filled in?
	$dv["preamble_h3"] = $title;
	$dv["preamble_p1"] = $tabs;
	$dv["preamble_p2"] = $help . "\n" . $messages;
	$dv["linklist_select_h3"] = "Main Links";
	$dv["linklist_select_ul"] = $link2_out;
	$dv["linklist_archives_h3"] = "Other";
	$dv["linklist_archives_ul"] = $link1_out;
	$dv["linklist_resources_h3"] = "Navigation";
	$dv["linklist_resources_ul"] = $sidebar_left . "\n" . $sidebar_right;

	# what about these variables?
	# $breadcrumb;
	# $closure;
?>

<div id="intro">
	<div id="pageHeader">

		<h1><span>
		<?php print $dv["header_h1"]; ?>
		</span></h1>

		<h2><span>
		<?php print $dv["header_h2"]; ?>
		</span></h2>

	</div>

	<div id="quickSummary">

		<p class="p1"><span>
		<?php print $dv["summary_p1"]; ?>
		</span></p>

		<p class="p2"><span>
		<?php print $dv["summary_p2"]; ?>
		</span></p>
	</div>

	<div id="preamble">
		<h3><span>
		<?php print $dv["preamble_h3"]; ?>
		</span></h3>

		<p class="p1"><span>
		<?php print $dv["preamble_p1"]; ?>
		</span></p>

		<p class="p2"><span>
		<?php print $dv["preamble_p2"]; ?>
		</span></p>

	</div>
        
</div>

<div id="supportingText">
        <!-- start main content -->
	<?php
	?>

	<?php print $content ?>
        <!-- end main content -->

        <div id="footer">
        <?php if ($footer_message) : print "<p>$footer_message</p>\n"; endif; ?>
        </div><!-- footer -->
</div>

<div id="linkList">
  <div id="linkList2">

  <div id="lselect">
  <h3 class="select"><span><?php print $dv["linklist_select_h3"] ?></span></h3>
  <?php print $dv["linklist_select_ul"] ?>
  </div>
	  

  <div id="larchives">
  <h3 class="archives"><span><?php print $dv["linklist_archives_h3"] ?></span></h3>
  <?php print $dv["linklist_archives_ul"] ?>
  </div>

  <div id="lresources">
  <h3 class="resources"><span><?php print $dv["linklist_resources_h3"] ?></span></h3>
  <?php print $dv["linklist_resources_ul"] ?>
  </div>

</div>
</div>


      <div id="extraDiv1"><span></span></div><div id="extraDiv2"><span></span></div><div id="extraDiv3"><span></span></div>
<div id="extraDiv4"><span></span></div><div id="extraDiv5"><span></span></div><div id="extraDiv6"><span></span></div>

</body>
</html>

